// stripe created after seeing David F Miller's
// http://www.alistapart.com/articles/zebratables/
// - solving a slightly different problem, y'see.
// Mark Tyndall <moz_en-gb@tyndall.org.uk>

function stripe(clsName, evenRowClass) {

 // obtain a list of tables in the document
 var tables = document.getElementsByTagName("table");
// alert( tables.length + ' tables found');
 for( var i = 0; i < tables.length; i++ ) {

  // find if the table's class matches the one we want
  if( tables[i].className == clsName ) {

  // re-start row switching for each table
   var even = true;

   // get all the table bodies (NB - retrieves exactly the number
   // of "tbody"s specified in the source - zero or more)
   var tbods = tables[i].getElementsByTagName("tbody");

//   alert( 'Table ' +i+ ': ' + tbods.length + ' tbodies found');
   for( var j = 0; j < tbods.length; j++ ) {

    // retrieve all the "tr"s
    var trs = tbods[j].getElementsByTagName("tr");
    for( var k = 0; k < trs.length; k++ ) {
     if( even ) {
//      alert( k + ' row in ' +i+ 'th table.');
      trs[k].className = evenRowClass;
     }
     even = !even;
    }
   }
  }
 }
 return false;
}